/*
 * Component Name: isamTokenAuthenticationLibraryClient
 * File Name: Main.h
 *
 * IBM Confidential
 * Object Code Only Source Materials
 * 5747-SM3
 * (c) Copyright International Business Machines Corp. 2018
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 */
#ifndef _MAIN_H_
#define _MAIN_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>
#include "isamTokenAuthExterns.h"

#if defined _WIN32 || _WIN64
#define scanf(str1,str2) scanf_s(str1,str2,MAX_PARAM_SIZE)
#define strdup _strdup
#define strncpy(str1,str2,integer) strncpy_s(str1,(strlen(str2) + 1),str2,(strlen(str2)-2))
#endif

#if 0
char* getUserFromErrorString(const char *errorDescription);
char* removeQuotes(const char *username);
char* getPassword(char *username);
char* getUserName();
char* getToken();
#else
bool areCommandLineParamsValid(int argc, char *argv[], char **hostname,
		char **portString, char **endpoint, char **isSSLString, char **clientId,
		char **authToken);
int getPasswordCallback(const char *username, char **password);
int getUserCredsCallback(char **username, char **password);
char *removeSingleQuotesFromString (const char *string);
void asPrintf (char **dest, const char *source);

#endif
#endif // !_MAIN_H_
