/*
 * Component Name: isamTokenAuthenticationLibrary
 * File Name: isamTokenAuthConstants.c
 *
 * IBM Confidential
 * Object Code Only Source Materials
 * 5747-SM3
 * (c) Copyright International Business Machines Corp. 2018
 * The source code for this program is not published or otherwise divested
 * of its trade secrets, irrespective of what has been deposited with the
 * U.S. Copyright Office.
 */
const char *SUCCESSFUL_AUTH = "User successfully authenticated.";

const char *NULL_TOKEN = "NULL token not allowed.";
const char *INVALID_INPUT = "Invalid input parameters.";
const char *USER_NOT_REGISTERED = "Prompt the user to register the card";
const char *MANDATORY_PARAMS_MISSING = "Mandatory parameters are not passed";
const char *USERNAME_PASSWORD_MECH_INVALID =
		"FBTRBA329E The username password authentication mechanism configuration is invalid.";
const char *GRANT_ACTIVE = "The grant is active and you can log in";
const char *PASSWORD_REFRESH = "Perform a password refresh with user";
const char *ANOTHER_CARD_ALREADY_REGISTERED = "Another card is registered to this user";
const char *CARD_DISABLED = "This token has been disabled";
const char *CARD_ALREADY_REGISTERED = "This card is already registered";
const char *INVALID_ARGUMENT = "was NULL or empty";
const char *GRANT_TYPE_NOT_SET = "grant_type is not set.";

const char *GRANT_TYPE_REFRESH_TOKEN = "refresh_token";
const char *UNKNOWN_ERROR = "Unknown error.";
const char *UNABLE_TO_GET_ERROR_DESC = "Unable to retrieve error description.";
const char *TOKEN_LOCKED = "This static token has been locked.";
const char *CLIENT_NOT_INITIALIZED = "Client not initialized.";
